import org.trinitydesktop.qt.*;

public class LCDRange extends TQVBox {
	public LCDRange(TQWidget parent, String name) {
		super(parent, name);
		TQLCDNumber lcd = new TQLCDNumber(2, this, "lcd");
		TQSlider slider = new TQSlider(Horizontal, this, "slider");
		slider.setRange(0, 99);
		slider.setValue(0);
		connect(slider, SIGNAL("valueChanged(int)"), lcd, SLOT("display(int)"));
	}
	public LCDRange(TQWidget parent) {
		this(parent, null);
	}
}
